Subject: Random numbers in grep mode-line

From: Juri Linkov <[email-masked]>
Date: Thu, 08 Feb 2018 23:32:51 +0200

What do these seemingly random numbers in the mode-line of the *grep*
buffer mean?  I don't get any logic behind these colored numbers.
They are neither the number of matches nor the number of matched lines.
And why non-zero numbers are always highlighted in red as errors
when there are no errors in the grep output?  What was the goal
of this feature and where it is documented?